<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        #caja {
            width: 200px;
            height: 200px;
            margin: 20px auto;
            background-color: #ccc;
            transition: all 2s linear;
        }
        
        button {
            height: 50px;
            width: 80px;
            color: white;
        }
        
        form {
            width: 200px;
            margin: 10px auto;
        }
        
        form :nth-child(1) {
            background-color: red;
            float: left;
        }
        
        form :nth-child(2) {
            background-color: blue;
            float: right;
        }
    </style>
</head>
<body>
    
        <div id="caja" >

        </div>
    <form>    
        <button type="button" onclick="cambioRojo()">Rojo</button>
        <button type="button" onclick="cambioAzul()">Azul</button>
    </form>
    <script src="3.js"></script>
</body>
</html>